Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88129 - Source don't compile
Summary: Source don't compile
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 109160 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-06 13:23 UTC by rD
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-17 00:18:25 UTC


Attachments (Terms of Use)

Description rD 2003-04-06 13:23:23 UTC
Description of problem:
Source supplied in the distribution don't compile correctly with the same 
configuration stored in configs.
It gives error in cipe module, and in all optional components

Version-Release number of selected component (if applicable):
The one in RedHat 9.0 Shrike

How reproducible:


Steps to Reproduce:
1.make xconfig
2.load athlon single processor configuration
3.make deps
4.make bzImage / make install
4.make modules <- here it gives error and never go till the end

Comment 1 Arjan van de Ven 2003-04-11 13:25:54 UTC
you forgot "make mrproper" as first step

Comment 2 Peter van Egdom 2003-04-19 22:18:34 UTC
I've seen this before (see Red Hat Bugzilla # 75152).

I can reproduce this bug (88129) by doing :

  "cd /usr/src/linux-2.4"
  "make clean"
  "make mrproper"
  "make xconfig" (choose 'load configuration from file')
                              \ enter "configs/kernel-2.4.20-athlon.config"
  "make dep && make bzImage && make modules"

The compile process then aborts with :

<snip>
fs/fs.o(.text+0x350f2): In function `zisofs_readpage':
: undefined reference to `zlib_inflateInit_'
fs/fs.o(.text+0x351f4): In function `zisofs_readpage':
: undefined reference to `zlib_inflate'
fs/fs.o(.text+0x352a6): In function `zisofs_readpage':
: undefined reference to `zlib_inflateEnd'
fs/fs.o(.text.init+0xaac): In function `mnt_init':
: undefined reference to `init_rootfs'
fs/fs.o(.text.init+0xf31): In function `zisofs_init':
: undefined reference to `zlib_inflate_workspacesize'
make[1]: *** [kallsyms] Fout 1
make[1]: Weggaan uit map `/usr/src/linux-2.4.20-8'
make: *** [vmlinux] Fout 2
<snip>


This behaviour can be fixed by copying the configuration to ".config" first :

  "cd /usr/src/linux-2.4"
  "make clean"
  "make mrproper"
  "cp configs/kernel-2.4.20-athlon.config .config"
  "make xconfig" (choose 'save & exit')
  "make dep && make bzImage && make modules"

This really looks like a bug to me. The reporter of this bug does nothing wrong.

It's also probably a dupe of Red Hat Bugzilla # 75152.

Comment 3 Dave Jones 2003-12-17 00:18:25 UTC
make xconfig is flaky. A make oldconfig afterwards usually rights it
too.  This isn't something that's going to be fixed before EOL of RHL9

Comment 4 Miloslav Trmac 2004-03-01 09:25:01 UTC
*** Bug 109160 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.